diff --git a/conda/batch-update-bob.sh b/conda/batch-update-bob.sh
index 85954abede80dfd7559b1849901cee3cc1c2f5ea..6a2261a150bb37ad997e2671368b81b11cc2bf00 100755
--- a/conda/batch-update-bob.sh
+++ b/conda/batch-update-bob.sh
@@ -1,28 +1,37 @@
 #!/bin/bash
 
+# you need (hub)[https://github.com/github/hub] and (gh)[https://github.com/node-gh/gh]
 
 
 set -ex
 
 case $1 in
 	1)
-		packages = ("bob.extension");;
+		packages=("bob.extension")
+		;;
 	2)
-		packages = ("bob.blitz");;
+		packages=("bob.blitz")
+		;;
 	3)
-		packages = ("bob.core" "bob.ip.draw");;
+		packages=("bob.core" "bob.ip.draw")
+		;;
 	4)
-		packages = ("bob.io.base" "bob.sp" "bob.math");;
+		packages=("bob.io.base" "bob.sp" "bob.math")
+		;;
 	5)
-		packages = ("bob.ap" "bob.measure" "bob.db.base" "bob.io.image" "bob.io.video" "bob.io.matlab" "bob.ip.base" "bob.ip.color" "bob.ip.gabor" "bob.learn.activation" "bob.learn.libsvm" "bob.learn.boosting");;
+		packages=("bob.ap" "bob.measure" "bob.db.base" "bob.io.image" "bob.io.video" "bob.io.matlab" "bob.ip.base" "bob.ip.color" "bob.ip.gabor" "bob.learn.activation" "bob.learn.libsvm" "bob.learn.boosting")
+		;;
 	6)
-		packages = ("bob.io.audio" "bob.learn.linear" "bob.learn.mlp" "bob.db.wine" "bob.db.mnist" "bob.db.atnt" "bob.ip.flandmark" "bob.ip.facedetect" "bob.ip.optflow.hornschunck" "bob.ip.optflow.liu");;
+		packages=("bob.io.audio" "bob.learn.linear" "bob.learn.mlp" "bob.db.wine" "bob.db.mnist" "bob.db.atnt" "bob.ip.flandmark" "bob.ip.facedetect" "bob.ip.optflow.hornschunck" "bob.ip.optflow.liu")
+		;;
 	7)
-		packages = ("bob.learn.em" "bob.db.iris");;
+		packages=("bob.learn.em" "bob.db.iris")
+		;;
 esac
 
 
 for pkg in "${packages[@]}"
 do
+	gh re --fork $pkg-feedstock --user conda-forge --organization bioidiap || true
 	python update_feedstock.py $pkg
 done
diff --git a/conda/update_feedstock.py b/conda/update_feedstock.py
index e76f624e4f9c9f3617fbc432a427a56368f611bd..52713881bdea7c78b86c4f19fb657d9f199f8800 100755
--- a/conda/update_feedstock.py
+++ b/conda/update_feedstock.py
@@ -102,9 +102,10 @@ def main(package):
       f.write(doc)
     run_commands(['conda-smithy', 'rerender'],
                  ['git', '--no-pager', 'diff'],
-                 ['git', 'commit', '-am', 'Updating to version {}'.format(stable_version)],
+                 ['git', 'add', '-A'],
+                 ['git', 'commit', '-am', 'Update to version {}'.format(stable_version)],
                  ['git', 'push', '--force', '--set-upstream', 'bioidiap', stable_version],
-                 ['firefox', 'https://github.com/conda-forge/{}-feedstock/compare/master...bioidiap:{}?expand=1'.format(package, stable_version)])
+                 ['hub', 'pull-request', '--browse', '-b', 'conda-forge:master', '-h', 'bioidiap:{}'.format(stable_version), '-m', 'Update to version {}'.format(stable_version)])
     print('\nPlease create the pull request in the webpage that was openned.')
   finally:
     shutil.rmtree(temp_dir)